Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.kernels.sg.PrecomputedSGKernel

class `mvpa2.kernels.sg.``PrecomputedSGKernel`(matrix=None, **kwargs)

  A kernel which is precomputed from a numpy array or a Shogun kernel

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array
  `as_raw_sg`() |
  `as_sg`() |
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) | ‘Compute’ `PrecomputedSGKernel` – no actual “computation” is done
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  Initialize PrecomputedSGKernel

  Parameters:

  matrix : SGKernel or Kernel or ndarray

  > Kernel matrix to be used

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array
  `as_raw_sg`() |
  `as_sg`() |
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) | ‘Compute’ `PrecomputedSGKernel` – no actual “computation” is done
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  `compute`(*args, **kwargs)

    ‘Compute’ `PrecomputedSGKernel` – no actual “computation” is done

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »